# Pyntor::Barslider - Slide in top and bottom bar
# Copyright (C) 2006 Josef Spillner <josef@coolprojects.org>
# Published under GNU GPL conditions

import pygame
from pygame.locals import *

class Barslider:
	def init(self, options):
		pass

	def render(self, screen, page, globalpage):
		#surface = pygame.image.load(self.image)
		#screen.blit(surface, (0, 0))

		fillcolor = (0, 0, 0)
		linecolor = (255, 255, 255)

		y = screen.get_height()
		for i in range(32):
			screen.fill(fillcolor, ((0, i * 3), (screen.get_width(), 3)))
			screen.fill(linecolor, ((0, i * 3 + 4), (screen.get_width(), 1)))
			if i < 27:
				screen.fill(fillcolor, ((0, y - i * 3), (screen.get_width(), 3)))
				screen.fill(linecolor, ((0, y - i * 3 - 1), (screen.get_width(), 1)))

			if pygame.display.get_surface():
				pygame.display.update()

component = Barslider()

