# Pyntor::Background - Display a simple background image
# Copyright (C) 2004-2006 Josef Spillner <josef@coolprojects.org>
# Published under GNU GPL conditions

import pygame
from pygame.locals import *

class Background:
	def init(self, options):
		self.image = None

		if len(options) < 1:
			print "(Background) Error: no background image given"
			return

		self.image = options[0]

	def render(self, screen, page, globalpage):
		surface = pygame.image.load(self.image)
		screen.blit(surface, (0, 0))

component = Background()

